Kroger Ad Platform API

Get Products

Returns a list of all the available products for a given advertiser.

get
https://api.8451.com/kap/v2/metadata/products

Query Parameters

advertiser_idintegerrequired

The advertiser ID to get products for

offsetinteger

The offset of the first product to return

Default:0

sizeinteger

The number of products to return

Default:10

>= 1<= 100

typestring

Type for this products

Allowed values:PLATOACAROUSEL

Response

application/json

Successful Response

ProductResponse

dataarray[object]required

List of Products.

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/metadata/products
 
application/json

Get Agencies

Returns a list of all the available agencies for a given account.

get
https://api.8451.com/kap/v2/metadata/agencies

Query Parameters

account_idintegerrequired

The account ID to get agencies for

Response

application/json

Successful Response

AgencyResponse

dataarray[object]required

List of agencies

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/metadata/agencies
 
application/json

Get Campaign

Retrieve a list of campaigns from the Media Platform. Read more about Campaigns in our Media Platform Learning Center.

get
https://api.8451.com/kap/v2/campaigns

Query Parameters

advertiser_idinteger

The advertiser ID to get campaigns for

campaign_typestring

Type for this campaign

Allowed values:PLATOACAROUSEL

offsetinteger

The offset of the page to return

Default:0

sizeinteger

The number of results per page

Default:10

Response

application/json

Successful Response

ListResponse[Campaign]

dataarray[object]required

List of single response data.

Show Child Parameters
metaobjectrequired
Show Child Parameters
get/campaigns
 
application/json

Create A Campaign

Creates a PLA or Carousel campaign in the Media Platform. A campaign is an organized strategy used to achieve specific, actionable goals like: providing information to customers, building brand awareness, promoting a new product, or convincing customers to make a purchase. Read more about Campaigns in ourMedia Platform Learning Center.

post
https://api.8451.com/kap/v2/campaigns

Body

application/json

CampaignRequest

namestringrequired

The campaign name.

statusstringrequired

Allowed values:DRAFTSCHEDULEDACTIVEENDEDPAUSED

startDatestringrequired

The start date of the campaign. Format: YYYY-MM-DD

Match pattern:\d{4}-\d{2}-\d{2}

endDateAny Of

The end date of the campaign. Must be after start date. If null the campaign is considered “always-on”. Cannot be null if budget type is LIFETIME

Default:

Variant 1string

Match pattern:\d{4}-\d{2}-\d{2}

budgetAmountnumberrequired

The total budget of the campaign. The sum of all the budgets from the ad group(s) may not exceed this number.

>= 1

budgetTypestringrequired

Allowed values:DAILYWEEKLYMONTHLYLIFETIME

pacingTypestringrequired

Allowed values:EVENASAPAHEAD

accountIdintegerrequired

Id from the Account entity.

advertiserIdsarray[integer]required

Ids from the Advertiser entities associated with the account.

billingInsertionOrderAny Of

Insertion order number for this campaign.

Variant 1string
billingPurchaseOrderAny Of

Purchase order number for this campaign.

Variant 1string
billingAdditionalDetailsAny Of

Notes that the advertiser wants to notify the billing department.

Variant 1string
billingContactIdintegerrequired

Id from the Contact entity associated with the account.

billingAddressIdintegerrequired

Id from the Address entity associated with the account.

campaignTypeAny Of

Type for this campaign.

Default:PLA

CampaignTypestring

Allowed values:PLATOACAROUSEL

goalsarray | null[object]

Goals data associated with the campaign.

Show Child Parameters

Response

application/json

Sample success response

SingleResponse[Campaign]

dataAny Of

Data of the response.

Campaignobject
Show Child Parameters
metaobjectrequired
Show Child Parameters
post/campaigns

Body

{ "name": "string", "status": "DRAFT", "startDate": "string", "endDate": "", "budgetAmount": 0, "budgetType": "DAILY", "pacingType": "EVEN", "accountId": 0, "advertiserIds": [ 0 ], "billingInsertionOrder": {}, "billingPurchaseOrder": {}, "billingAdditionalDetails": {}, "billingContactId": 0, "billingAddressId": 0, "campaignType": "PLA", "goals": [ { "type": "", "value": 0, "priority": 0 } ] }
 
application/json

Get Campaign By Id

Get a campaign from the Media Platform by ID. Read more about Campaigns in our Media Platform Learning Center.

get
https://api.8451.com/kap/v2/campaigns/{campaign_id}

Query Parameters

include.adgroupsboolean

If true, returns the ad groups associated with this campaign as an array.

Default:false

Path Parameters

campaign_idintegerrequired

Response

application/json

Successful Response

SingleResponse[Campaign]

dataAny Of

Data of the response.

Campaignobject
Show Child Parameters
metaobjectrequired
Show Child Parameters
get/campaigns/{campaign_id}
 
application/json